from ariadne import gql

from bot_data.abc.query_abc import QueryABC
from bot_data.graphql.types.server_query_type import ServerQueryType


class Query(QueryABC):
    __schema__ = gql("""
        type Query {
            servers: [Server]
        }
    """)
    __requires__ = [ServerQueryType]

    @classmethod
    def resolve_servers(cls, *_):
        return cls._servers
