from ariadne import gql

from bot_data.abc.query_abc import QueryABC
from bot_data.model.client import Client


class ClientQueryType(QueryABC):
    __schema__ = gql("""
        type Client {
            id: ID
            discord_id: String
            sent_message_count: Int
            received_message_count: Int
            deleted_message_count: Int
            received_command_count: Int
            moved_users_count: Int
        }
    """)

    @classmethod
    def resolve_id(cls, client: Client, *_):
        return client.client_id
