from ariadne import gql

from bot_data.abc.query_abc import QueryABC
from bot_data.model.client import Client
from bot_data.model.level import Level


class LevelQueryType(QueryABC):
    __schema__ = gql("""
        type Level {
            id: ID
            name: String
            color: String
            min_xp: Int
            permissions: String
        }
    """)

    # @classmethod
    # def resolve_id(cls, level: Level, *_):
    #     return level.id
